Part Helix/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.")
(Created page with "* {{PropertyData|Local Coord|Enumeration}} : La [https://fr.wikipedia.org/wiki/Chiralit%C3%A9 chiralité], ou direction, de l'hélice : {{Value|Right-handed}} ou {{Value|Left-...")
Line 52: Line 52:
{{TitleProperty|Coordinate System}}
{{TitleProperty|Coordinate System}}


* {{PropertyData|Local Coord|Enumeration}}: The [https://en.wikipedia.org/wiki/Screw_thread handedness], or direction, of the helix: {{Value|Right-handed}} or {{Value|Left-handed}}. The default is {{Value|Right-handed}}, meaning the helix turns counterclockwise as it goes up.
* {{PropertyData|Local Coord|Enumeration}} : La [https://fr.wikipedia.org/wiki/Chiralit%C3%A9 chiralité], ou direction, de l'hélice : {{Value|Right-handed}} ou {{Value|Left-handed}}. La valeur par défaut est {{Value|Right-handed}}, ce qui signifie que l'hélice tourne dans le sens inverse des aiguilles d'une montre en montant.


{{TitleProperty|Helix}}
{{TitleProperty|Helix}}

Revision as of 20:27, 4 March 2022

Part Hélice

Emplacement du menu
Pièce → Créer des primitives... → Hélice
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Une Part Hélice est une forme paramétrique qui peut être créée avec la commande Part Primitives. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, l'axe de l'hélice correspond à l'axe des Z et son point inférieur, le point de départ, se trouve sur l'axe des X.

Utilisation

Voir Part Primitives.

Exemple

Part Hélice à partir de l'exemple du script

Un objet Part Hélice créé avec l'exemple du script ci-dessous.

Remarques

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Hélice est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Coordinate System

  • DonnéesLocal Coord (Enumeration) : La chiralité, ou direction, de l'hélice : Right-handed ou Left-handed. La valeur par défaut est Right-handed, ce qui signifie que l'hélice tourne dans le sens inverse des aiguilles d'une montre en montant.

Helix

  • DonnéesPitch (Length): The distance between two consecutive turns of the helix measured along its Z axis. The default is 1mm.
  • DonnéesHeight (Length): The height of the helix. The default is 2mm.
  • DonnéesRadius (Length): The start radius of the helix. The helix has a constant radius if DonnéesAngle is .
  • DonnéesSegment Length (QuantityConstraint): The number of turns per helix subdivision. The default is 1, meaning each full turn of the helix is a separate segment. Use 0 to suppress subdivision.
  • DonnéesAngle (Angle): The angle that defines of the outer shape of the helix. Valid range: -90° < value < 90°. The default is . If it is the helix is cylindrical, else it is conical.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Helix can be created with the addObject() method of the document:

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • Where "myHelix" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()